View Issue Details

IDProjectCategoryView StatusLast Update
13590Bug reports[All Projects] _ Unknownpublic2018-05-25 11:30
Reportercookiemonster Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version3.7.x 
Summary13590: Check data integrity shows "errorneous question group order" for all surveys
Description

Check data integrity shows "errorneous question group order" for all surveys - everything is working fine though you can't clear old, orphaned data due to only this messages showing.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.6.2+180406
I will donate to the project if issue is resolvedNo
Browser59.0.2 (64-Bit)
Database & DB-Versionlibmysql - 5.5.54
Server OS (if known)Ubuntu
Webserver software & version (if known)Apache/2.4.7
PHP Version5.5.9

Activities

ollehar

ollehar

2018-04-11 10:42

administrator   ~47396

Can you try use the question organizer and save the order? The question organizer link is found at the bottom of the side-menu when the side-menu is collapsed. After saving the order, try the check integrity again.

cookiemonster

cookiemonster

2018-04-11 12:00

reporter   ~47397

Same after saving through the question organizer.
Maybe it was the uprade...I upped from 3.3.0 to 3.6.2 and since then this "errors" show up, but all survey are fine and some are running for years :)

ollehar

ollehar

2018-04-23 15:33

administrator   ~47493

Can you attach one of your surveys that produces this behaviour, please?

DenisChenu

DenisChenu

2018-04-23 18:44

developer   ~47495

Can upload my DB (master.son…) but seems to happen when there are only one question : checkintegrity show same error again and again (see screenshot : same again and again)



Capture du 2018-04-23 18-43-42.png (107,413 bytes)
survey_archive_checkagain.lsa (8,451 bytes)
Test checkintegrity.html (190,818 bytes)
DenisChenu

DenisChenu

2018-04-23 19:00

developer   ~47496

Issue with multi language : 3 language : count(gid) = 3 * COUNT(DISTINCT group_order)

ollehar

ollehar

2018-04-24 09:52

administrator   ~47504

Thanks, Denis, I'll have a look.

ollehar

ollehar

2018-04-24 10:43

administrator   ~47506

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27061

ollehar

ollehar

2018-04-24 10:56

administrator   ~47507

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27064

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47840

Version 3.8.1+180524 released

Related Changesets

LimeSurvey: master da99a3a2

2018-04-24 10:43:09

ollehar

Details Diff
Fixed issue 13590: Check data integrity shows 'errorneous question group order' for all surveys Affected Issues
13590
mod - application/controllers/admin/checkintegrity.php Diff File

LimeSurvey: develop f71bb07f

2018-04-24 10:43:09

ollehar

Details Diff
Fixed issue 13590: Check data integrity shows 'errorneous question group order' for all surveys Affected Issues
13590
mod - application/controllers/admin/checkintegrity.php Diff File

Issue History

Date Modified Username Field Change
2018-04-11 10:14 cookiemonster New Issue
2018-04-11 10:42 ollehar Assigned To => ollehar
2018-04-11 10:42 ollehar Status new => feedback
2018-04-11 10:42 ollehar Note Added: 47396
2018-04-11 12:00 cookiemonster Note Added: 47397
2018-04-11 12:00 cookiemonster Status feedback => assigned
2018-04-23 15:33 ollehar Note Added: 47493
2018-04-23 18:44 DenisChenu File Added: Capture du 2018-04-23 18-42-34.png
2018-04-23 18:44 DenisChenu File Added: Capture du 2018-04-23 18-43-42.png
2018-04-23 18:44 DenisChenu File Added: survey_archive_checkagain.lsa
2018-04-23 18:44 DenisChenu File Added: Test checkintegrity.html
2018-04-23 18:44 DenisChenu Note Added: 47495
2018-04-23 19:00 DenisChenu Note Added: 47496
2018-04-24 09:52 ollehar Note Added: 47504
2018-04-24 10:43 ollehar Changeset attached => LimeSurvey master da99a3a2
2018-04-24 10:43 ollehar Note Added: 47506
2018-04-24 10:43 ollehar Resolution open => fixed
2018-04-24 10:44 ollehar Status assigned => resolved
2018-04-24 10:44 ollehar Fixed in Version => 3.7.x
2018-04-24 10:56 ollehar Changeset attached => LimeSurvey develop f71bb07f
2018-04-24 10:56 ollehar Note Added: 47507
2018-05-25 11:30 c_schmitz Note Added: 47840
2018-05-25 11:30 c_schmitz Status resolved => closed